Retrieve a device configuration

Use this method to retrieve configuration details for a device associated with a processing terminal. Our gateway returns the following details about the configuration: - Supported features - Applications - Certificates and revoked certificates - Visual assets

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

processingTerminalIdstringRequired4-50 characters
Unique identifier that we assigned to the terminal.
modelstringRequired1-30 characters
Type or model of the device.

Response

Successful request. Returns the device configuration details.
modelstring
Type or model of the device.
manufacturerstringOptional
Company that manufactured the device.
supportsMagStripebooleanOptional
Indicates if the device can run swiped transactions.
supportsIccbooleanOptional
Indicates if the device can read chip cards.
supportsKeyedbooleanOptional
Indicates if the device can run keyed transactions.
supportsContactlessbooleanOptional
Indicates if the device can run contactless transactions.
supportsPinEntrybooleanOptional
Indicates if the device can accept PIN entry.
supportsOutputPrintingbooleanOptional
Indicates if the device can print receipts.
supportsOutputDisplayingbooleanOptional
Indicates if the device can display information on a screen.
supportsAttendedbooleanOptional
Indicates if a clerk must operate the device.
supportsUnattendedbooleanOptional
Indicates if the device can operate without a clerk present.
applicationslist of objectsOptional
Array of emvApplication objects. Each object contains information about an EMV application supported by the device.
certificateslist of objectsOptional
Array of emvCertificate objects. Each object contains information about an EMV certificate used by the device.
revokedCertificateslist of objectsOptional
Array of emvCertificate objects. Each object contains information about a revoked EMV certificate.
visualAssetslist of objectsOptional
Array of visualAsset objects. Each object contains information about a visual asset that the device displays.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error